Subject: bug#40419: 26.3; Custom font face not respected even after saving options to .emacs

From: Samuel Falvo II <[email-masked]>
Date: Sun, 5 Apr 2020 09:28:16 -0700

I'll apply that change and see what happens.

Unfortunately, while it was a repeatable issue when I filed the bug, it
strangely started respecting my preferences as of mid-day yesterday.  Could
be a race condition of some kind?  I'll add the (define-key) and hopefully
it'll more consistently maintain preferences.

Thanks for looking into things.  It's appreciated!

On Sat, Apr 4, 2020 at 5:19 PM Noam Postavsky <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Samuel Falvo II <[email-masked]>
> >> Date: Fri, 3 Apr 2020 13:12:46 -0700
> >>
> >> 1.  Launch Emacs under Pop_OS! 64-bit Linux.
> >> 2.  M-x menu-set-font
> >> 3.  Select your favorite font of choice (in my case, Pet Me 2Y Medium).
> >> 4.  Select Options >> Save Options
> >> 5.  C-x C-f ~/.emacs  and make sure the file both exists and contains
> >> the preferred font setting.
> >> 6.  C-x C-c to exit out of Emacs.
> >> 7.  Re-launch Emacs.
> >> 8.  Observe **brief** moment in minibuffer when preferred font is in
> effect, but then
> >> reverts back to system default.
> >
> > This probably means something else resets the font after startup.  Do
> > you have anything else in your ~/.emacs, besides the font setting
> > saved by the above recipe? could those additional customizations be
> > the culprit?  Or maybe you have some system resources that require
> > specific fonts to be used by Emacs?
> >
> > FWIW, I cannot reproduce this, the saved font setting is used when I
> > restart Emacs.
>
> Maybe this is Bug#25228 "custom-set-faces from init file ~/.emacs
> ignored"?  Does adding
>
>     (define-key special-event-map [config-changed-event] 'ignore)
>
> to .emacs help?
>
>
>

-- 
Samuel A. Falvo II